using Microsoft.AspNetCore.SignalR;
namespace Hushian.Application.Services
{
    // Hubs/ChatNotificationHub.cs
    public class ChatNotificationHub : Hub
    {
        // انتخابی: نگهداری کاربران متصل (اختیاری برای این کاربرد)

        public override Task OnConnectedAsync()
        {
            //var userId = Context.UserIdentifier;
            //// نگهداری یا ثبت اتصال کاربر اگر نیاز باشد
            return base.OnConnectedAsync();
        }

        public override Task OnDisconnectedAsync(Exception? exception)
        {
            return base.OnDisconnectedAsync(exception);
        }
    }
}
